# Blacksmith Configuration

# The settings which apply to all Blacksmith NPCs
global:
  # The minimum price of each cost
  base-price:
    # You can add, for example "diamond-sword: 15.3" to change the base cost for a specific item
    default: 10.0

  # The additional cost for each durability point missing (natural cost) or present (not natural cost)
  price-per-durability-point:
    # You can add, for example "diamond-sword: 0.09" to change the base cost for a specific item
    default: 0.005

  # The additional cost for each enchantment level present on an item
  enchantment-cost:
    # You can add, for example "arrow-infinite: 0.09" to change the enchantment cost for a specific enchantment
    default: 5

  # Natural cost makes re-forging more expensive the more damaged the item is. Disabling this will enable the legacy 
  #  blacksmith behavior instead
  natural-cost: true

# The settings which are set to any new NPC. To change any of these settings for an existing NPC, you must change the 
#  Citizens NPC file
defaults:
  # Whether the item will drop a re-forged item on the ground, instead of putting it into the user's inventory
  drop-item: true

  # The items a blacksmith is able to reforge. Setting this only allows the NPC to repair the listed items
  reforge-able-items: [ ]

  # Whether to disable the cool-down period between each re-forge
  disable-cool-down: false

  # Whether to disable the re-forge delay, making re-forging complete instantly
  disable-delay: false

  # The chance to fail a re-forge, which only repairs the item a tiny bit or not at all (0-100)
  percent-chance-to-fail-reforge: 10

  # The chance that an enchantment will be added to the re-forged item (0-100)
  percent-chance-for-extra-enchantment: 5

  # The maximum number of enchantments the blacksmith will try to add
  maximum-enchantments: 3

  # All settable delays
  delays-in-seconds:
    # The maximum time for a re-forge to finish
    maximum: 30

    # The minimum time for a re-forge to finish
    minimum: 5

    # The cool-down period between each re-forge
    reforge-cool-down: 60

  # All messages used by the NPC
  messages:
    # The message to display when another player is using the blacksmith
    busy-with-player: "&cI'm busy at the moment. Come back later!"

    # The message to display when the blacksmith is working on the re-forge
    busy-with-reforge: "&cI'm working on it. Be patient!"

    # The message to display when the blacksmith is still on a cool-down from the previous re-forging
    cool-down-not-expired: "&cYou've already had your chance! Give me a break!"

    # The message to display when informing a player about the re-forge cost
    cost: "&eIt will cost &a<price> &eto reforge that &a<item>&e! Click again to reforge!"

    # The message to display when the blacksmith fails to re-forge an item
    fail-reforge: "&cWhoops! Didn't mean to do that! Maybe next time?"

    # The message to display when a player cannot pay for the re-forge
    insufficient-funds: "&cYou don't have enough money to reforge that item!"

    # The message to display when holding an item the blacksmith is unable to re-forge
    invalid-item: "&cI'm sorry, but I don't know how to reforge that!"

    # The message to display when presenting a different item than the one just evaluated
    item-changed-during-reforge: "&cThat's not the item you wanted to reforge before!"

    # The message to display once the blacksmith starts re-forging
    start-reforge: "&eOk, let's see what I can do..."

    # The message to display once the re-forge has successfully finished
    successful-reforge: "There you go! All better!"